#include <string.h>
#include <stdint.h>

#include <PontCoopScheduler.h>
#include <stdlib.h>
#include <main.h>
#include <usart.h>


void my_setup_1() {
	schInit();

}

void my_errorHandler() {
  
}



void blinkRed(void *handle) {
	HAL_GPIO_TogglePin(LED_Red_GPIO_Port, LED_Red_Pin);
}

void blinkGreen(void *handle) {
	HAL_GPIO_TogglePin(LED_Green_GPIO_Port, LED_Green_Pin);
}

void blinkBlue(void *handle) {
	HAL_GPIO_TogglePin(LED_Blue_GPIO_Port, LED_Blue_Pin);
}

void helloWorld(void *handle) {
	static char hello[] = "Hello World\n\r";
	HAL_UART_Transmit_IT(&huart1, (uint8_t*) hello, strlen(hello));
}

void my_setup_2() {
    schAdd(blinkBlue, NULL, 0, 250);
    schAdd(blinkRed, NULL, 0, 500);
	schAdd(blinkGreen, NULL, 0, 1000);
	schAdd(helloWorld, NULL, 0, 5000);
}

void my_loop() {
	schExec();
}

void SYSTICK_Callback() {
	schUpdate();
}
